Skip to main content

STU3 Device

The Device resource provides an "instance or a type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device." HL7 FHIR STU3 Device

Supported Profiles

This API supports the following FHIR profiles:

Operations

The Certified API Device resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support Device search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED Patient information, if the resource is affixed to a person

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search Client Medical Device by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Device/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
Via GET
Search Client Medical Device by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Device?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"